Messages
Delete message
DELETE
/
messages
/
{id}
Delete message
curl --request DELETE \
--url https://api.connectadesk.com/api/v1/messages/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.connectadesk.com/api/v1/messages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.connectadesk.com/api/v1/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/messages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/messages/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.connectadesk.com/api/v1/messages/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/messages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3EB0C2A1F45D9B7E1122",
"ticketId": 5120,
"contactId": 842,
"body": "Perfeito, vou querer o tamanho M",
"fromMe": false,
"ack": 3,
"read": true,
"mediaType": null,
"mediaUrl": null,
"isDeleted": false,
"isEdited": false,
"isLog": false,
"storyMention": false,
"storyReply": false,
"quotedMsgId": null,
"providerMessageId": "3EB0C2A1F45D9B7E1122",
"log": null,
"createdAt": "2026-08-18T14:27:10.421Z",
"updatedAt": "2026-08-18T14:27:11.002Z"
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}Authorizations
API token in the sk_live_… format.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": "3EB0C2A1F45D9B7E1122",
"ticketId": 5120,
"contactId": 842,
"body": "Perfeito, vou querer o tamanho M",
"fromMe": false,
"ack": 3,
"read": true,
"mediaType": null,
"mediaUrl": null,
"isDeleted": false,
"isEdited": false,
"isLog": false,
"storyMention": false,
"storyReply": false,
"quotedMsgId": null,
"providerMessageId": "3EB0C2A1F45D9B7E1122",
"log": null,
"createdAt": "2026-08-18T14:27:10.421Z",
"updatedAt": "2026-08-18T14:27:11.002Z"
}
⌘I
Delete message
curl --request DELETE \
--url https://api.connectadesk.com/api/v1/messages/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.connectadesk.com/api/v1/messages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.connectadesk.com/api/v1/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/messages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/messages/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.connectadesk.com/api/v1/messages/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/messages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3EB0C2A1F45D9B7E1122",
"ticketId": 5120,
"contactId": 842,
"body": "Perfeito, vou querer o tamanho M",
"fromMe": false,
"ack": 3,
"read": true,
"mediaType": null,
"mediaUrl": null,
"isDeleted": false,
"isEdited": false,
"isLog": false,
"storyMention": false,
"storyReply": false,
"quotedMsgId": null,
"providerMessageId": "3EB0C2A1F45D9B7E1122",
"log": null,
"createdAt": "2026-08-18T14:27:10.421Z",
"updatedAt": "2026-08-18T14:27:11.002Z"
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}
